% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/EM_Bes.R
\name{DQ2_Obs_Fisher_bes}
\alias{DQ2_Obs_Fisher_bes}
\title{DQ2_Obs_Fisher_bes}
\usage{
DQ2_Obs_Fisher_bes(theta, z, x, v, link.mean, link.precision)
}
\arguments{
\item{theta}{vector of parameters (all coefficients: kappa and lambda).}

\item{z}{response vector with 0 < z_i < 1.}

\item{x}{matrix containing the covariates for the mean submodel. Each column is a different covariate.}

\item{v}{matrix containing the covariates for the precision submodel. Each column is a different covariate.}

\item{link.mean}{a string containing the link function for the mean.
The possible link functions for the mean are "logit","probit", "cauchit", "cloglog".}

\item{link.precision}{a string containing the link function the precision parameter.
The possible link functions for the precision parameter are "identity", "log", "sqrt", "1/precision^2", "inverse".}
}
\value{
matrix given by the conditional expectation of the gradient of the Q-function and its tranpose.
}
\description{
Auxiliary function to compute the observed Fisher information matrix for the bessel regression.
}
